Retrieve a list of calls within a date range

This endpoint returns a paginated list of calls within the specified date range. Each call record includes the associated app_id. The start_date and end_date parameters are required and must be in DD-MM-YYYY format.

Query Params
string
required

The API key provided for your application.

string
required

Start of the date range filter. Date format must be DD-MM-YYYY (e.g., 01-02-2026). Required.

string
required

End of the date range filter. Date format must be DD-MM-YYYY (e.g., 13-02-2026). Required.

integer
Defaults to 1

Page number of the results to return. Default is 1.

Responses

400

Bad request. Possible messages:

  • 'start_date and end_date are required' (when required date parameters are missing).
  • 'Invalid date format. Use DD-MM-YYYY (e.g., 01-02-2026)' (when date parameters are not in the expected format).
401

Invalid API key.

500

Internal server error, we will provide you with the exception message of the application.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json